<mat-card (mouseover)="showButton = true" (mouseleave)="showButton = false">
    <mat-card-title>hello title</mat-card-title>
    <mat-card-content id="notecontent">Lorem ipsum dolor sit amet consectetur adipisicing elit. Aperiam odit consequuntur voluptas, deleniti quis ducimus! Facilis voluptates omnis recusandae laudantium!
        <div #fader class="fade-out-content" *ngIf="fadeText"></div>
    </mat-card-content>
    <mat-card-actions>
        <button mat-icon-button *ngIf="showButton"><mat-icon>close</mat-icon></button>
    </mat-card-actions>
</mat-card>